diff -r 6b3b7803e05d code/ryzom/CMakeModules/FindLibwww.cmake
--- a/code/ryzom/CMakeModules/FindLibwww.cmake	Mon May 17 15:27:56 2010 +0200
+++ b/code/ryzom/CMakeModules/FindLibwww.cmake	Tue May 18 20:39:42 2010 +0200
@@ -24,18 +24,15 @@
   PATH_SUFFIXES libwww w3c-libwww
 )
 
-FIND_LIBRARY(LIBWWW_LIBRARY 
-  wwwapp
-  PATHS
-  /usr/local/lib
-  /usr/lib
-  /usr/local/X11R6/lib
-  /usr/X11R6/lib
-  /sw/lib
-  /opt/local/lib
-  /opt/csw/lib
-  /opt/lib
-  /usr/freeware/lib64
+FIND_PROGRAM(LIBWWW_CONFIG_EXECUTABLE
+    libwww-config
+)
+
+EXEC_PROGRAM(${LIBWWW_CONFIG_EXECUTABLE}
+ ARGS
+  --libs
+  OUTPUT_VARIABLE
+  LIBWWW_LIBRARY
 )
 
 IF(LIBWWW_LIBRARY AND LIBWWW_INCLUDE_DIR)
